// Numerische Mathmatik  -  Potenzverfahren ohne Normierung

#include <iostream.h>
#include <stdio.h>
//#include <conio.h>

int main ()
{
	int a[5][5]={{5,  4,3,2,1},
					 {4,150,0,2,3},
					 {3,  0,6,7,1},
					 {2,  2,7,1,0},
					 {1,  3,1,0,2}};              // Feld mit 5 Zeilen und 5 Spalten
	float v_0[5]={0,1,0,0,0};                 // V_0  Startvektor

	cout<<"A Matrix                             v_0 Startvektor"<<endl;
	for (int i=0;i<=4;i++)
	{
		for (int j=0;j<=4;j++)
		{
			printf("%5d",a[i][j]);
			if(j==4)
			{
				printf("   %14.0f ",v_0[i]);
			}
		}
		cout<<endl;
	}
	cout<< "Potenzverfahren ohne Normierung! "<<endl;
	cout<<endl<<"---------------------------------------------------------------------------"<<endl;
	getchar();
	//clrscr();
	float v[5];
	char frage='j';
	int z=0;

	while(frage=='j')
	{
		if(z==0) { cout<< "v_0"<<endl;}
		else {cout<< "v"<<z-1<<endl;};
		for (int j=0;j<=4;j++)
			{
				printf("   %18.0f \n",v_0[j]);
			}

		cout<<endl<<z<<". Iteration   v"<<z<<endl;
		for (int i=0;i<=4;i++)
		{
			v[i]=0;
			for (int j=0;j<=4;j++)
			{
				v[i]=v[i] + (v_0[j]*a[i][j]);
			}
			printf("   %18.0f \n",v[i]);
		}

		float test[5];
		if(z>=1)
		{
			cout<<endl<<"Test fuer v"<<z-1<<"/v"<<z<<endl;
			for (int i=0;i<=4;i++)
			{
				test[i] = v[i]/v_0[i];
				printf("   %25.6f \n",test[i]);
			}
		}
		cout<<"____________________________________________"<<endl;
		cout<< "Nochmal ?(j/n) "; cin>> frage;cout<< endl;
		//clrscr();
		for (int i=0;i<=4;i++)
		{
			v_0[i]=v[i];
		}
		z++;
	}
}
