// Numerische Mathmatik  -  Potenzverfahren mit Normierung

#include <iostream.h>
#include <stdio.h>
//#include <conio.h>
#include <math.h>

int main ()
{
	int a[5][5]={{5,  4,3,2,1},
					 {4,150,0,2,3},
					 {3,  0,6,7,1},
					 {2,  2,7,1,0},
					 {1,  3,1,0,2}};              // Feld mit 5 Zeilen und 5 Spalten
	float v_0[5]={0,1,0,0,0};                 // V_0  Startvektor

	cout<<"A Matrix                             v_0 Startvektor"<<endl;
	for (int i=0;i<=4;i++)
	{
		for (int j=0;j<=4;j++)
		{
			printf("%5d",a[i][j]);
			if(j==4)
			{
				printf("   %14.0f ",v_0[i]);
			}
		}
		cout<<endl;
	}


	cout<< "Potenzverfahren mit Normierung! "<<endl;
	cout<<endl<<"---------------------------------------------------------------------------"<<endl;
	getchar();
	//clrscr();
	float v[5];
	char frage='j';
	int z=0;
	float betrag=0;
	float test[5];
	while(frage=='j')
	{
		cout<< z+1 <<". Iteration"<<endl;
		//cout<< "v"<<z<<endl;
		for (int i=0;i<=4;i++)                      // Vektor vor der Normierung
		{
			if(z==0)
			{
				v[i]=0;
				for (int j=0;j<=4;j++)
				{
					v[i]=v[i] + (v_0[j]*a[i][j]);
				}
				//printf("   %18.0f \n",v[i]);
			}
			betrag=betrag + (v[i]*v[i]);
		}
		betrag = sqrt(betrag);
		//cout<<"Betrag "<< betrag<<endl;
		cout<< "v"<<z<<endl;
		for (int i=0;i<=4;i++)                     // Normierter Vektor
		{
			v[i]=v[i]/betrag;
			printf("   %25.6f \n",v[i]);
		}


		for (int i=0;i<=4;i++)
		{
			v_0[i]=v[i];
		}
		cout<<"v"<<z+1<<endl;
		for (int i=0;i<=4;i++)
		{
			v[i]=0;
			for (int j=0;j<=4;j++)
			{
				v[i]=v[i] + (v_0[j]*a[i][j]);         // Neuer Vektor
			}
			printf("   %25.6f \n",v[i]);
		}

			cout<<"Test fuer Lamda = v"<<z<<"/v"<<z+1<<endl;        //  Lamda durch Berechnung
			for (int i=0;i<=4;i++)											  //  aus Normierten- und
			{                                                       //  neuen Vektor
				test[i] = v[i]/v_0[i];
				printf("   %25.6f \n",test[i]);
			}

		cout<<"____________________________________________"<<endl;
		cout<< "Nochmal ?(j/n) "; cin>> frage;cout<< endl;
	//	clrscr();
		/*for (int i=0;i<=4;i++)
		{
			v_0[i]=v[i];
		} */
		z++;
	}
}
